<template>
<div v-if="this.$store.getters.authenticatedUser">
    <b-container >
        <br>
        <br>
        <b-row>
            <b-col></b-col>
            <b-col cols="8">
                 <b-table striped outlined hover :items="items" :fields="fields"></b-table>
            </b-col>
            <b-col></b-col>

            </b-row>
             <b-row align-h="end">
                 <router-link :to="{name: 'RegionAdd'}"   >
                  <div id="plusbutton" @mouseover="PlusmouseOver"  @mouseleave="PlusmouseOut">
                <img v-if="HoverPlus"
                width="70%" src= "../assets/PlusButtonAtHover.png" >
                <img v-if="OutOfPlus"
                width="70%" src= "../assets/PlusButton.png" >
                 </div>
                  </router-link>
            </b-row>
                </b-container>
    </div>
<div v-else>
  <NoAccess></NoAccess>
  </div>
</template>
<script>
import NoAccess from '../components/NoAccess.vue'
import {mapGetters} from 'vuex'

export default {
  components: {NoAccess},
  beforeCreate () {
    console.log(this.$store.getters.authenticatedUser)
    if (this.$store.getters.authenticatedUser === false) {
      this.$router.push({name: 'home'})
    }

  },
  data () {
    return {
      fields: ['country', 'region', 'city', 'zip_code'],
      items: [],
      HoverPlus: false,
      OutOfPlus: true
    }
  },
  computed: {
    ...mapGetters([
      'authenticatedUser'
    ]),
    user () {
      // get the fullname of the logged in user
      if (Object.keys(this.$store.state.user).length > 0) {
        return this.$store.state.user.name
      }
      return ''
    }
  },
  methods: {
    

    PlusmouseOver () {
      this.HoverPlus = true
      this.OutOfPlus = false
    },
    PlusmouseOut () {
      this.HoverPlus = false
      this.OutOfPlus = true
    }
  },
  created: function () {
    // get the deployments
    console.log('1')
    this.$store.dispatch('getRegions', null)
      .then(response => {
        console.log('3')
        this.items = response.data.results 
      })
  }
}
</script>

<style scoped>

</style>
<style >
.table thead th {
     background-color :#22b574 !important ;
     color : white !important ;
      }
.table td{
     padding :0.30rem !important ;     
      }
.table th {
     padding :0.60rem !important ;     
      }

</style>
